;;; -*- mode: lisp; -*-

(defpackage cl-darcs-system
  (:use :cl :asdf))

(in-package :cl-darcs-system)

(defsystem cl-darcs
  :description "Darcs client"
  :version "0.2.0"
  :licence "GPL"
  :author "Magnus Henoch <henoch@dtek.chalmers.se>"
  :depends-on (:split-sequence
	       ;; HTTP client
	       :drakma :puri
	       :trivial-gray-streams
	       ;; SHA1, hex etc
	       :ironclad
	       :flexi-streams
	       ;; Files and directories
	       :cl-fad
	       ;; Regexps
	       :cl-ppcre
	       ;; Diff
	       :cl-difflib)

  :components
  ((:file "packages")
   (:file "condition" :depends-on ("packages"))
   (:file "util" :depends-on ("packages" "condition" #-allegro "inflate"))
   (:file "unreadable-stream" :depends-on ("packages"))
   (:file "upath" :depends-on ("util" #|"binary-text"|#))

   (:file "patchinfo" :depends-on ("util"))
   (:file "get" :depends-on ("util"))
   (:file "pull" :depends-on ("util"))
   (:file "prefs" :depends-on ("util"))
   (:file "repo" :depends-on ("util"))
   (:file "diff" :depends-on ("util"))
   (:file "getopt" :depends-on ("packages"))
   (:file "cmdline" :depends-on ("util" "getopt"))

   (:file "patch-core" :depends-on ("util"))
   (:file "record" :depends-on ("patch-core"))
   (:file "read-patch" :depends-on ("patch-core"))
   (:file "write-patch" :depends-on ("patch-core"))
   (:file "apply-patch" :depends-on ("patch-core"))
   (:file "invert-patch" :depends-on ("patch-core"))
   (:file "display-patch" :depends-on ("patch-core"))
   (:file "pristine" :depends-on ("patch-core"))
   (:file "touching" :depends-on ("patch-core"))
   (:file "commute" :depends-on ("patch-core"))
   (:file "merge" :depends-on ("patch-core"))
   (:file "unwind" :depends-on ("patch-core"))
   (:file "equal" :depends-on ("patch-core"))
   (:file "send" :depends-on ("patch-core"))
   (:file "revert" :depends-on ("patch-core"))
   (:file "pending" :depends-on ("patch-core"))

   ;; Franz' inflate implementation
   #-allegro (:file "ifstar")
   #-allegro (:file "inflate" :depends-on ("ifstar"))))

#+allegro
(eval-when (:compile-toplevel :load-toplevel :execute)
  (require :inflate))
