;;; Copyright (C) 2008 Magnus Henoch
;;;
;;; This program is free software; you can redistribute it and/or
;;; modify it under the terms of the GNU General Public License as
;;; published by the Free Software Foundation; either version 2 of the
;;; License, or (at your option) any later version.
;;;
;;; This program is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;;; General Public License for more details.
;;;
;;; You should have received a copy of the GNU General Public License
;;; along with this program; if not, write to the Free Software
;;; Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

(in-package :darcs)

(define-condition repository-condition ()
  ((repository :initarg :repository :type pathname
	       :documentation "The absolute path of the concerned repository."))
  (:documentation "Base class for conditions concerning a repository."))

(define-condition repository-file-condition (repository-condition)
  ((file :initarg :file :type pathname
	 :documentation "The relative path of the concerned file or directory."))
  (:documentation "Base class for conditions concerning a file in a repository."))
